Class StDatabaseQueryAbstract<P,R>
java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,P,R>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<P,R>
- Type Parameters:
P- The query parametersR- The query results
- All Implemented Interfaces:
com.io7m.darco.api.DDatabaseQueryType<P,R>
- Direct Known Subclasses:
StDBAuditSearch,StDBDeviceGetByID,StDBDeviceGetByKey,StDBDeviceLocationsGet,StDBDeviceLocationUpdatePut,StDBDeviceLocationUpdateSearch,StDBDevicePut,StDBDevicesGet
public abstract class StDatabaseQueryAbstract<P,R>
extends com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,P,R>
An abstract query for the database.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected final org.jooq.DSLContextcontext(StDatabaseTransactionType transaction) protected final org.jooq.DSLContextcontext(Connection connection) protected abstract Stringname()protected final com.fasterxml.jackson.databind.ObjectMapperprotected final RonExecute(StDatabaseTransactionType transaction, P parameters) protected abstract RonExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, P parameters) protected final voidMethods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract
execute, toString
-
Constructor Details
-
StDatabaseQueryAbstract
-
-
Method Details
-
context
-
context
-
objectMapper
protected final com.fasterxml.jackson.databind.ObjectMapper objectMapper() -
record
-
attributes
-
onExecute
protected final R onExecute(StDatabaseTransactionType transaction, P parameters) throws com.io7m.darco.api.DDatabaseException - Specified by:
onExecutein classcom.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,P, R> - Throws:
com.io7m.darco.api.DDatabaseException
-
onExecuteWithContext
protected abstract R onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, P parameters) throws Exception - Throws:
Exception
-
name
-